Create Recurring External Card Pull Transfer (GQL)

Note: All the payment API's have the endpoint: /graphql

Use this API to create a recurring payment schedule that pulls funds from an external card.

Please checkout the page at External/Acquired Cards to understand more about this Payment Rail.

Please refer to this API Add an Acquired Card on how to generate the card cardId

Body Params

Following are the details on the GraphQL fields :

ParameterDescriptionMandatoryData TypeExample
startDateThe date when the recurring payment should start.YesString30 April 2025
paymentTimeTypeDefines how the recurring payments are scheduled (e.g., INTERVAL-based).YesStringINTERVAL
intervalThe number of units (based on frequency) between each payment.YesInteger1
frequencyThe time unit used for recurrence (e.g., DAYS, MONTHS, YEARS).YesStringMONTHS
amountThe amount to be pulled on each recurring transaction.YesDecimal33
recipientIdThe ID of the recipient from whom funds will be pulled.YesInteger42
savingsAccountIdThe ID of the savings account to which the funds will be credited.YesInteger644
transferTypeThe type of transfer operation (e.g., DEBIT or CREDIT).YesStringDEBIT
dateFormatFormat in which the startDate is provided.YesStringdd MMMM yyyy
localeLocale used for formatting dates and numbers.YesStringen
activeIndicates whether the recurring payment setup is currently active.YesBooleantrue
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json